## xhyperoid 1.4

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#


SOURCES = $(xhyperoid_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/maemo-xhyperoid
pkglibdir = $(libdir)/maemo-xhyperoid
pkgincludedir = $(includedir)/maemo-xhyperoid
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
bin_PROGRAMS = xhyperoid$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	TODO compile config.guess config.sub depcomp install-sh \
	ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(desktopentrydir)" "$(DESTDIR)$(icon_32x32dir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_xhyperoid_OBJECTS = xhyperoid-convxpm.$(OBJEXT) \
	xhyperoid-gtk.$(OBJEXT) xhyperoid-hyperoid.$(OBJEXT) \
	xhyperoid-roidsupp.$(OBJEXT) xhyperoid-sound.$(OBJEXT) \
	xhyperoid-hiscore.$(OBJEXT)
xhyperoid_OBJECTS = $(am_xhyperoid_OBJECTS)
am__DEPENDENCIES_1 =
xhyperoid_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/xhyperoid-convxpm.Po \
	./$(DEPDIR)/xhyperoid-gtk.Po \
	./$(DEPDIR)/xhyperoid-hiscore.Po \
	./$(DEPDIR)/xhyperoid-hyperoid.Po \
	./$(DEPDIR)/xhyperoid-roidsupp.Po \
	./$(DEPDIR)/xhyperoid-sound.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(xhyperoid_SOURCES)
DIST_SOURCES = $(xhyperoid_SOURCES)
desktopentryDATA_INSTALL = $(INSTALL_DATA)
icon_32x32DATA_INSTALL = $(INSTALL_DATA)
DATA = $(desktopentry_DATA) $(icon_32x32_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/milang/devel/maemo-xhyperoid/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/milang/devel/maemo-xhyperoid/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/milang/devel/maemo-xhyperoid/missing --run autoconf
AUTOHEADER = ${SHELL} /home/milang/devel/maemo-xhyperoid/missing --run autoheader
AUTOMAKE = ${SHELL} /home/milang/devel/maemo-xhyperoid/missing --run automake-1.8
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCONF_CFLAGS = -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
GREP = /scratchbox/tools/bin/grep
GSTREAMER_CFLAGS = -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2  
GSTREAMER_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0   -lgstapp-0.10
GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-extras-1  
HILDON_LIBS = -lhildon-extras-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/milang/devel/maemo-xhyperoid/missing --run makeinfo
NMEDIT = 
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
PACKAGE = maemo-xhyperoid
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.4
WITH_HILDON_FALSE = #
WITH_HILDON_TRUE = 
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = 
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
icon_32x32dir = ${datarootdir}/icons/hicolor/32x32/hildon
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/milang/devel/maemo-xhyperoid/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = /usr/share/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
icon_32x32_DATA = xhyperoid.png
xhyperoid_CFLAGS = $(GTK_CFLAGS) $(GCONF_CFLAGS) $(OSSO_CFLAGS) $(HILDON_CFLAGS)
xhyperoid_LDADD = $(GTK_LIBS) $(GCONF_LIBS) $(OSSO_LIBS) $(HILDON_LIBS)
xhyperoid_SOURCES = convxpm.c gtk.c hyperoid.c roidsupp.c sound.c hiscore.c
desktopentry_DATA = xhyperoid.desktop
EXTRA_DIST = \
        debian/changelog \
        debian/compat \
        debian/copyright \
        debian/control \
        debian/rules \
	$(icon_32x32_DATA)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in: # $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \

=== debian/changelog ===
xhyperoid (1.4) unstable; urgency=low

  * Rename to back xhyperoid
  * Use "new" hildon
  * Cleanup gtk code, use normal gtk main loop
  * Bug and homepage urls

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 22 Sep 2010 16:01:00 +0200

maemo-xhyperoid (1.3.1) unstable; urgency=low

  * Proper osso init
  * Save/Load/Display new hiscore
  * Fix hardware menu key

 -- Kaj-Michael Lang <kmwlang@gmail.com>  Tue, 08 May 2007 12:05:00 +0200

maemo-xhyperoid (1.3.0) unstable; urgency=low

  * Fix sticky bomd and shield keys
  * Make it build without hildon

 -- Kaj-Michael Lang <kmwlang@gmail.com>  Tue, 24 Jan 2007 03:20:00 +0200

maemo-xhyperoid (1.2.2) unstable; urgency=low

  * Fix bomb, shield keys

 -- Kaj-Michael Lang <kmwlang@gmail.com>  Tue, 22 Jun 2006 14:40:00 +0200

maemo-xhyperoid (1.2.1) unstable; urgency=low

  * Don't exit on Esc key
  * Add fullscreen support
  * Map shield/bomb to zoom keys

 -- Kaj-Michael Lang <kmwlang@gmail.com>  Tue, 13 Jun 2006 14:40:00 +0200

maemo-xhyperoid (1.2) unstable; urgency=low

  * Initial port release.

 -- Kaj-Michael Lang <kmwlang@gmail.com>  Tue, 13 Jun 2006 14:40:00 +0200

=== debian/control ===
Source: xhyperoid
Section: user/games
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev, libgtk2.0-dev, libhildon1, libhildon1-dev, libgtk2.0-dev, libglib2.0-dev, libosso-dev, libhildon-extras1-dev
Standards-Version: 3.6.0

Package: xhyperoid
Architecture: armel i386
Depends: ${shlibs:Depends}
Homepage: https://garage.maemo.org/projects/mxhyperoid/
XB-Maemo-Display-Name: xhyperoid - asteroids clone
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=158
Description: xhyperoid is port of the old xhyperoid/hyperoid asteroids clone.
 Original version is from can be found at: http://www.svgalib.org/rus/xhyperoid/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAABaklEQVRYw81WW5KEIBBL
 W95LbmZ7MzxZ5kMZAUEBZXeoohBF0kk/QAAQ/9iG0oWq2sUAeVMBkhCRPgoU
 sSkAJ5k3IP74pFlri4yUHw9C7W7AbyjQmmIl/93FVbECLSl23gMAwn3+zAXk
 gebzGFrT6Q3wLgo4nzuZHXjOeWODEw/TE6+XZTne48y4vRSTG+jeyaM7YAeu
 qt/luWzRehfwxDZm7NqsCmkpRLlUS+VyChgA5lmzsqf2TypwVTxywLXMswbk
 wK+A75hXuaAW+OmtaSyV2hgDaw2MscH49MQc48tCioUxBtM0AbCYJhOMrlK2
 HmjZNGRUNv05SazrGijQasB4Be5CQiSeyx4v9vFZMaTvbTHjsKxu36RAfq0z
 gCn5xfOVp0hhXmSzxFeOAKgHUTrSpDf3nl/uIbAmFhHdwJlUgJ4hV+DcIjHb
 VfXegJjx3fyN7hsuO0gQMm6cATy7hlakoSbitzc4AHwAZidKpKsI0oUAAAAA
 SUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g -O0 -DDEBUG
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static --enable-hildon
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	make install DESTDIR=$(CURDIR)/debian/xhyperoid

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## xhyperoid 1.4-1

=== debian/changelog ===
xhyperoid (1.4-1) unstable; urgency=low

  * Fix desktop file going to /, build depend on osso-af-settings

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 22 Sep 2010 17:52:00 +0200

## xhyperoid 1.4.1

=== Makefile ===
--- 
+++ 
@@ -36,9 +36,9 @@
 srcdir = .
 top_srcdir = .
 
-pkgdatadir = $(datadir)/maemo-xhyperoid
-pkglibdir = $(libdir)/maemo-xhyperoid
-pkgincludedir = $(includedir)/maemo-xhyperoid
+pkgdatadir = $(datadir)/xhyperoid
+pkglibdir = $(libdir)/xhyperoid
+pkgincludedir = $(includedir)/xhyperoid
 top_builddir = .
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 INSTALL = /scratchbox/tools/bin/install -c
@@ -80,7 +80,8 @@
 xhyperoid_OBJECTS = $(am_xhyperoid_OBJECTS)
 am__DEPENDENCIES_1 =
 xhyperoid_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
-	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -127,7 +128,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -O2
+CFLAGS = -g -O2
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
@@ -153,8 +154,10 @@
 GSTREAMER_LIBS = -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0   -lgstapp-0.10
 GTK_CFLAGS = -DMAEMO_CHANGES -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
 GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
-HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-extras-1  
-HILDON_LIBS = -lhildon-extras-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+HE_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
+HE_LIBS = -lhildon-extras-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
+HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
@@ -165,15 +168,17 @@
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
-MAINT = #
-MAINTAINER_MODE_FALSE = 
-MAINTAINER_MODE_TRUE = #
+MAINT = 
+MAINTAINER_MODE_FALSE = #
+MAINTAINER_MODE_TRUE = 
 MAKEINFO = ${SHELL} /home/milang/devel/maemo-xhyperoid/missing --run makeinfo
 NMEDIT = 
 OBJEXT = o
+OSSO_AF_SETTINGS_CFLAGS =  
+OSSO_AF_SETTINGS_LIBS =  
 OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
 OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
-PACKAGE = maemo-xhyperoid
+PACKAGE = xhyperoid
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = 
 PACKAGE_STRING = 
@@ -186,7 +191,9 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.4
+VERSION = 1.4.1
+WITH_HILDON_EXTRAS_FALSE = #
+WITH_HILDON_EXTRAS_TRUE = 
 WITH_HILDON_FALSE = #
 WITH_HILDON_TRUE = 
 ac_ct_CC = gcc
@@ -229,7 +236,7 @@
 mkdir_p = mkdir -p -- .
 oldincludedir = /usr/include
 pdfdir = ${docdir}
-prefix = /usr
+prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
@@ -237,8 +244,8 @@
 sysconfdir = ${prefix}/etc
 target_alias = 
 icon_32x32_DATA = xhyperoid.png
-xhyperoid_CFLAGS = $(GTK_CFLAGS) $(GCONF_CFLAGS) $(OSSO_CFLAGS) $(HILDON_CFLAGS)
-xhyperoid_LDADD = $(GTK_LIBS) $(GCONF_LIBS) $(OSSO_LIBS) $(HILDON_LIBS)
+xhyperoid_CFLAGS = $(GTK_CFLAGS) $(GCONF_CFLAGS) $(OSSO_CFLAGS) $(HILDON_CFLAGS) $(HE_CFLAGS)
+xhyperoid_LDADD = $(GTK_LIBS) $(GCONF_LIBS) $(OSSO_LIBS) $(HILDON_LIBS) $(HE_LIBS)
 xhyperoid_SOURCES = convxpm.c gtk.c hyperoid.c roidsupp.c sound.c hiscore.c
 desktopentry_DATA = xhyperoid.desktop
 EXTRA_DIST = \
@@ -256,7 +263,7 @@
 .SUFFIXES: .c .lo .o .obj
 am--refresh:
 	@:
-$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
 	    *$$dep*) \
@@ -283,9 +290,9 @@
 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 	$(SHELL) ./config.status --recheck
 
-$(top_srcdir)/configure: # $(am__configure_deps)
+$(top_srcdir)/configure:  $(am__configure_deps)
 	cd $(srcdir) && $(AUTOCONF)
-$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
 
 config.h: stamp-h1
@@ -297,7 +304,7 @@
 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
 	@rm -f stamp-h1
 	cd $(top_builddir) && $(SHELL) ./config.status config.h
-$(srcdir)/config.h.in: # $(am__configure_deps) 
+$(srcdir)/config.h.in:  $(am__configure_deps) 
 	cd $(top_srcdir) && $(AUTOHEADER)
 	rm -f stamp-h1
 	touch $@
@@ -312,19 +319,3 @@
 	  if test -f $$p \
 	     || test -f $$p1 \
 	  ; then \
-	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
-	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
-	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
-	  else :; fi; \
-	done
-
-uninstall-binPROGRAMS:
-	@$(NORMAL_UNINSTALL)
-	@list='$(bin_PROGRAMS)'; for p in $$list; do \
-	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
-	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
-	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
-	done
-
-clean-binPROGRAMS:
-	@list='$(bin_PROGRAMS)'; for p in $$list; do \

=== debian/changelog ===
xhyperoid (1.4.1) unstable; urgency=low

  * Add A,W,D,X as control keys
  * Pause/Unpause on focus in/out
  * Use proper menu UI under hildon 2.2
  * Enable zoom keys on hildon 2.2

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 23 Sep 2010 15:01:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: user/games
 Priority: optional
 Maintainer: Kaj-Michael Lang <milang@tal.org>
-Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev, libgtk2.0-dev, libhildon1, libhildon1-dev, libgtk2.0-dev, libglib2.0-dev, libosso-dev, libhildon-extras1-dev
+Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev,
+ libgtk2.0-dev, libglib2.0-dev,
+ libhildon1, libhildon1-dev, libosso-dev, libhildon-extras1-dev, osso-af-settings
 Standards-Version: 3.6.0
 
 Package: xhyperoid

## xhyperoid 1.4.2

=== Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = i486-pc-linux-gnu
+host_triplet = arm-unknown-linux-gnu
 bin_PROGRAMS = xhyperoid$(EXEEXT)
 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
@@ -191,7 +191,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 1.4.1
+VERSION = 1.4.2
 WITH_HILDON_EXTRAS_FALSE = #
 WITH_HILDON_EXTRAS_TRUE = 
 WITH_HILDON_FALSE = #
@@ -207,22 +207,22 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = i486-pc-linux-gnu
+build = arm-unknown-linux-gnu
 build_alias = 
-build_cpu = i486
+build_cpu = arm
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 desktopentrydir = /usr/share/applications/hildon
 docdir = ${datarootdir}/doc/${PACKAGE}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = i486-pc-linux-gnu
+host = arm-unknown-linux-gnu
 host_alias = 
-host_cpu = i486
+host_cpu = arm
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 htmldir = ${docdir}
 icon_32x32dir = ${datarootdir}/icons/hicolor/32x32/hildon
 includedir = ${prefix}/include

=== debian/changelog ===
xhyperoid (1.4.2) stable; urgency=low

  * Fix tick handling so it works properly

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 24 Sep 2010 22:40:00 +0200
